com.amazonaws.services.cloudfront.model

## Class DeleteDistributionRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.cloudfront.model.DeleteDistributionRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class DeleteDistributionRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

This action deletes a web distribution. To delete a web distribution using the CloudFront API, perform the following steps.

To delete a web distribution using the CloudFront API:

1. Disable the web distribution

2. Submit a `GET Distribution Config` request to get the current configuration and the `Etag` header for the distribution.

3. Update the XML document that was returned in the response to your `GET Distribution Config` request to change the value of `Enabled` to `false`.

4. Submit a `PUT Distribution Config` request to update the configuration for your distribution. In the request body, include the XML document that you updated in Step 3. Set the value of the HTTP `If-Match` header to the value of the `ETag` header that CloudFront returned when you submitted the `GET Distribution Config` request in Step 2.

5. Review the response to the `PUT Distribution Config` request to confirm that the distribution was successfully disabled.

6. Submit a `GET Distribution` request to confirm that your changes have propagated. When propagation is complete, the value of `Status` is `Deployed`.

7. Submit a `DELETE Distribution` request. Set the value of the HTTP `If-Match` header to the value of the `ETag` header that CloudFront returned when you submitted the `GET Distribution Config` request in Step 6.

8. Review the response to your `DELETE Distribution` request to confirm that the distribution was successfully deleted.

For information about deleting a distribution using the CloudFront console, see Deleting a Distribution in the Amazon CloudFront Developer Guide.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`DeleteDistributionRequest()` Default constructor for DeleteDistributionRequest object.
`DeleteDistributionRequest(String id, String ifMatch)` Constructs a new DeleteDistributionRequest object.

### Method Summary

All Methods Instance Methods Concrete Methods
`DeleteDistributionRequest` `clone()`
`boolean` `equals(Object obj)`
`String` `getId()` The distribution ID.
`String` `getIfMatch()` The value of the `ETag` header that you received when you disabled the distribution.
`int` `hashCode()`
`void` `setId(String id)` The distribution ID.
`void` `setIfMatch(String ifMatch)` The value of the `ETag` header that you received when you disabled the distribution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`DeleteDistributionRequest` `withId(String id)` The distribution ID.
`DeleteDistributionRequest` `withIfMatch(String ifMatch)` The value of the `ETag` header that you received when you disabled the distribution.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DeleteDistributionRequest

    public DeleteDistributionRequest()

Default constructor for DeleteDistributionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### DeleteDistributionRequest

    public DeleteDistributionRequest(String id,
                                     String ifMatch)

Constructs a new DeleteDistributionRequest object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `id` - The distribution ID.
  `ifMatch` - The value of the `ETag` header that you received when you disabled the distribution. For example: `E2QWRUHAPOMQZL`.

### Method Detail

#### setId

    public void setId(String id)

The distribution ID.

Parameters:
  `id` - The distribution ID.

#### getId

    public String getId()

The distribution ID.

Returns:
  The distribution ID.

#### withId

    public DeleteDistributionRequest withId(String id)

The distribution ID.

Parameters:
  `id` - The distribution ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setIfMatch

    public void setIfMatch(String ifMatch)

The value of the `ETag` header that you received when you disabled the distribution. For example: `E2QWRUHAPOMQZL`.

Parameters:
  `ifMatch` - The value of the `ETag` header that you received when you disabled the distribution. For example: `E2QWRUHAPOMQZL`.

#### getIfMatch

    public String getIfMatch()

The value of the `ETag` header that you received when you disabled the distribution. For example: `E2QWRUHAPOMQZL`.

Returns:
  The value of the `ETag` header that you received when you disabled the distribution. For example: `E2QWRUHAPOMQZL`.

#### withIfMatch

    public DeleteDistributionRequest withIfMatch(String ifMatch)

The value of the `ETag` header that you received when you disabled the distribution. For example: `E2QWRUHAPOMQZL`.

Parameters:
  `ifMatch` - The value of the `ETag` header that you received when you disabled the distribution. For example: `E2QWRUHAPOMQZL`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public DeleteDistributionRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`